Skip to main content
GET
Get Transaction Request Status

Authorizations

Authorization
string
header
required

User API authentication token with format cash_<64-char-hex>. Sample value cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2.

Path Parameters

id
string<uuid>
required

Transaction request ID

Response

Status retrieved

id
string<uuid>
required

Transaction request ID

Example:

"789e0123-e89b-12d3-a456-426614174999"

status
enum<string>
required

Current transaction request status

Available options:
PENDING,
AWAITING_REVIEW,
PROCESSING,
DONE,
ERROR,
CANCELLED
Example:

"PENDING"

amount
number<decimal>
required

Transaction request amount (same type as POST /transactions input)

Example:

15000.5

createdAt
string<date-time>
required
Example:

"2024-06-19T10:30:00Z"

updatedAt
string<date-time>
required
Example:

"2024-06-19T10:30:00Z"

externalID
string | null

External ID supplied when the request was created, if any

Example:

"REQ-2024-001234"

errorMessage
string | null

Error detail when status is ERROR; otherwise null

errorCode
enum<string> | null

Machine-readable error code when status is ERROR; otherwise null

Available options:
INSUFFICIENT_BALANCE,
DESTINATION_ERROR